Package: org.codehaus.groovy.ast.stmt

## [Java] Class DoWhileStatement

- org.codehaus.groovy.ast.stmt.DoWhileStatement

- All Implemented Interfaces and Traits:
    LoopingStatement

      public class DoWhileStatement
      extends Statement
      implements LoopingStatement

  Represents a do { ... } while (condition) loop in Groovy

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DoWhileStatement(BooleanExpression booleanExpression, Statement loopBlock)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public BooleanExpression` | `getBooleanExpression()`
    `` | `public Statement` | `getLoopBlock()`
    `` | `public void` | `setBooleanExpression(BooleanExpression booleanExpression)`
    `` | `public void` | `setLoopBlock(Statement loopBlock)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `addStatementLabel, copyStatementLabels, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public DoWhileStatement(BooleanExpression booleanExpression, Statement loopBlock)

  - ### Method Detail

    - #### public BooleanExpression getBooleanExpression()

    - #### @Override
      public Statement getLoopBlock()

    - #### public void setBooleanExpression(BooleanExpression booleanExpression)

    - #### @Override
      public void setLoopBlock(Statement loopBlock)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)